package com.microservices.dms.behaviorImage.domain;

import com.microservices.common.core.web.domain.BaseEntity;

public class ActivityUserLibrary extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    //用户id
    private Long userId;
    //登录名称
    private String loginName;
    //用户名称
    private String userName;
    //是否是专家
    private String isExpert;
    //是否已实名
    private String isAuth;
    //关注领域
    private String areasStr;
    //相关项目数
    private Long relatedProject;
    //相关任务数
    private Long relatedTask;
    //相关竞赛数
    private Long relatedCompetition;
    //相关成果数
    private Long relatedAch;
    //相关专家
    private Long relatedExpert;
    //相关论坛
    private Long relatedMemo;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getIsExpert() {
        return isExpert;
    }

    public void setIsExpert(String isExpert) {
        this.isExpert = isExpert;
    }

    public String getIsAuth() {
        return isAuth;
    }

    public void setIsAuth(String isAuth) {
        this.isAuth = isAuth;
    }

    public String getAreasStr() {
        return areasStr;
    }

    public void setAreasStr(String areasStr) {
        this.areasStr = areasStr;
    }

    public Long getRelatedProject() {
        return relatedProject;
    }

    public void setRelatedProject(Long relatedProject) {
        this.relatedProject = relatedProject;
    }

    public Long getRelatedTask() {
        return relatedTask;
    }

    public void setRelatedTask(Long relatedTask) {
        this.relatedTask = relatedTask;
    }

    public Long getRelatedCompetition() {
        return relatedCompetition;
    }

    public void setRelatedCompetition(Long relatedCompetition) {
        this.relatedCompetition = relatedCompetition;
    }

    public Long getRelatedAch() {
        return relatedAch;
    }

    public void setRelatedAch(Long relatedAch) {
        this.relatedAch = relatedAch;
    }

    public Long getRelatedExpert() {
        return relatedExpert;
    }

    public void setRelatedExpert(Long relatedExpert) {
        this.relatedExpert = relatedExpert;
    }

    public Long getRelatedMemo() {
        return relatedMemo;
    }

    public void setRelatedMemo(Long relatedMemo) {
        this.relatedMemo = relatedMemo;
    }
}
